Bug 1310356 - [abrt] libfreenect: Freenect::FreenectDevice::FreenectDevice(): freenect-cppview killed by SIGABRT
Summary: [abrt] libfreenect: Freenect::FreenectDevice::FreenectDevice(): freenect-cppv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfreenect
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d3e81b9ec049bf59e750172628...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-20 21:57 UTC by fedora
Modified: 2019-01-09 12:54 UTC (History)
2 users (show)

Fixed In Version: libfreenect-0.5.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-28 01:19:42 UTC


Attachments (Terms of Use)
File: backtrace (12.88 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: cgroup (191 bytes, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: core_backtrace (2.44 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: dso_list (4.34 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: environ (3.25 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: maps (21.34 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: mountinfo (2.98 KB, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: open_fds (498 bytes, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-20 21:57 UTC, fedora
no flags Details

Description fedora 2016-02-20 21:57:31 UTC
Description of problem:
crash at startup of the programm

Version-Release number of selected component:
libfreenect-0.5.2-5.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        freenect-cppview
crash_function: Freenect::FreenectDevice::FreenectDevice
executable:     /usr/bin/freenect-cppview
global_pid:     3038
kernel:         3.18.17-8.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #6 Freenect::FreenectDevice::FreenectDevice at /usr/src/debug/libfreenect-b2043d02b66c9c59899bbf09cb1a13206e8fa10d/wrappers/cpp/libfreenect.hpp:68
 #7 MyFreenectDevice::MyFreenectDevice at /usr/src/debug/libfreenect-b2043d02b66c9c59899bbf09cb1a13206e8fa10d/wrappers/cpp/cppview.cpp:81
 #8 Freenect::Freenect::createDevice<MyFreenectDevice> at /usr/src/debug/libfreenect-b2043d02b66c9c59899bbf09cb1a13206e8fa10d/wrappers/cpp/libfreenect.hpp:206

Comment 1 fedora 2016-02-20 21:57:36 UTC
Created attachment 1128866 [details]
File: backtrace

Comment 2 fedora 2016-02-20 21:57:37 UTC
Created attachment 1128867 [details]
File: cgroup

Comment 3 fedora 2016-02-20 21:57:38 UTC
Created attachment 1128868 [details]
File: core_backtrace

Comment 4 fedora 2016-02-20 21:57:39 UTC
Created attachment 1128869 [details]
File: dso_list

Comment 5 fedora 2016-02-20 21:57:41 UTC
Created attachment 1128870 [details]
File: environ

Comment 6 fedora 2016-02-20 21:57:42 UTC
Created attachment 1128871 [details]
File: limits

Comment 7 fedora 2016-02-20 21:57:43 UTC
Created attachment 1128872 [details]
File: maps

Comment 8 fedora 2016-02-20 21:57:44 UTC
Created attachment 1128873 [details]
File: mountinfo

Comment 9 fedora 2016-02-20 21:57:46 UTC
Created attachment 1128874 [details]
File: namespaces

Comment 10 fedora 2016-02-20 21:57:47 UTC
Created attachment 1128875 [details]
File: open_fds

Comment 11 fedora 2016-02-20 21:57:48 UTC
Created attachment 1128876 [details]
File: proc_pid_status

Comment 12 fedora 2016-02-20 21:57:49 UTC
Created attachment 1128877 [details]
File: var_log_messages

Comment 13 Rich Mattes 2016-02-21 16:37:26 UTC
So this is "normal" behavior for freenect-cppview if there is no kinect device attached to your PC.  The freenect cpp wrapper throws an exception when it can't connect to a kinect device, and the cppview code isn't catching that exception, so abort() is raised and the program "crashes."  I can patch cppview to catch the exception and print out the exception message.

The more important question is did you actually have a kinect device attached to your PC?  If so, cppview should have found it, and if it didn't then there's something wrong with the udev rules or device permissions.  I checked freenect-cppview with my kinect and it fired up just fine, so there may be an error with your system's setup.

Comment 14 Fedora Update System 2016-02-21 18:13:44 UTC
libfreenect-0.5.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b13a81dd9

Comment 15 Fedora Update System 2016-02-22 04:21:28 UTC
libfreenect-0.5.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b13a81dd9

Comment 16 fedora 2016-02-22 09:54:33 UTC
(In reply to Rich Mattes from comment #13)
> So this is "normal" behavior for freenect-cppview if there is no kinect
> device attached to your PC.  The freenect cpp wrapper throws an exception
> when it can't connect to a kinect device, and the cppview code isn't
> catching that exception, so abort() is raised and the program "crashes."  I
> can patch cppview to catch the exception and print out the exception message.
> 
> The more important question is did you actually have a kinect device
> attached to your PC? 
Yes, a Kinect 360, forgot to connect the power cord for the addional power so only the Kinect motor shows up in lsusb.
After connecting the power cord the programm freenect-cppview runs and shows the kinect picture and depthfieldview.
> If so, cppview should have found it, and if it didn't
> then there's something wrong with the udev rules or device permissions.  I
> checked freenect-cppview with my kinect and it fired up just fine, so there
> may be an error with your system's setup.

Comment 17 Fedora Update System 2016-03-28 01:19:38 UTC
libfreenect-0.5.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.